DEFINES += USE_CONTROLLER_BASE
CONFIG += plugin qtquickcompiler

include(vstsdk/vstsdk.pri)
include(common/common.pri)

QT += gui gui-private quick

TARGET = VDL
TEMPLATE = lib

HEADERS += $$PWD/VDL.h \
           $$PWD/IControllerBase.h

SOURCES += $$PWD/VDL.cpp \
           $$PWD/IControllerBase.cpp

RESOURCES += imports.qrc

OTHER_FILES += $$PWD/VDL.def

win32 {
    DEFINES += _WINSOCKAPI_
    CONFIG += dll
    QMAKE_LFLAGS += "/DEF:$$PWD/VDL.def"
    LIBS += User32.lib Shell32.lib

    plugin_dir = C:/plugins/
    plugin_dir ~= s,/,\\,g

    CONFIG(debug, debug|release) {
        plugin_dll = $$OUT_PWD/debug/VDL.dll
        plugin_dll ~= s,/,\\,g

        LIBS += LIBCMTD.lib
        QMAKE_CFLAGS_DEBUG = -Zi -MTd
        QMAKE_POST_LINK = $$QMAKE_COPY $$shell_quote($$plugin_dll) $$shell_quote($$plugin_dir)
    } else {
        plugin_dll = $$OUT_PWD/release/VDL.dll

        LIBS += LIBCMT.lib
        QMAKE_CFLAGS_RELEASE = -O2 -MT
        QMAKE_POST_LINK = $$QMAKE_COPY $$shell_path($$plugin_dll) $$shell_path($$plugin_dir)
    }
}
