#ifndef CO_H
#define CO_H

#include <IVst.h>

class AudioKernel;
class VDL : public IVst
{
public:
    VDL(audioMasterCallback audioMaster, int programs, int parameters);

    virtual VstInt32 processEvents(VstEvents* events);
    virtual void processReplacing(float** inputs, float** outputs, VstInt32 sampleFrames);

    virtual bool getEffectName(char* name);
    virtual bool getVendorString(char* text);
    virtual bool getProductString(char* text);

    virtual VstInt32 getVendorVersion();
    virtual VstInt32 canDo(const char* text);
};

#endif // CO_H
